%define major 4
%define libname %mklibname vpx %{major}
%define devname %mklibname vpx -d

Summary:	VP9 Video Codec SDK
Name:		libvpx
Version:	1.6.1
Release:	1
License:	BSD
Group:		System/Libraries
Url:		https://github.com/webmproject/libvpx
Source0:	https://github.com/webmproject/libvpx/archive/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	php-cli
BuildRequires:	yasm

%description
libvpx provides the VP9 SDK, which allows you to integrate your applications
with the VP9 video codec, a high quality, royalty free, open source codec
deployed on millions of computers and devices worldwide.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	VP9 Video Codec SDK
Group:		System/Libraries

%description -n %{libname}
libvpx provides the VP9 SDK, which allows you to integrate your applications
with the VP9 video codec, a high quality, royalty free, open source codec
deployed on millions of computers and devices worldwide.

%files -n %{libname}
%doc AUTHORS CHANGELOG LICENSE README
%{_libdir}/libvpx.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libvpx
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development libraries and headers for developing software against
libvpx.

%files -n %{devname}
# These are SDK docs, not really useful to an end-user.
%doc docs/html
%{_includedir}/vpx/
%{_libdir}/pkgconfig/vpx.pc
%{_libdir}/libvpx.so

#----------------------------------------------------------------------------

%package utils
Summary:	VP9 utilities and tools
Group:		Video

%description utils
A selection of utilities and tools for VP9, including a sample encoder
and decoder.

%files utils
%{_bindir}/*

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%ifarch %{ix86}
%global vpxtarget x86-linux-gcc
%else
%ifarch	x86_64
%global	vpxtarget x86_64-linux-gcc
%else
%global vpxtarget generic-gnu
%endif
%endif
%setup_compile_flags

./configure \
	--enable-vp9 \
	--enable-experimental \
	--enable-spatial-svc \
	--enable-libs \
	--enable-shared \
	--disable-static \
	--target=%{vpxtarget} \
	--enable-pic \
	--disable-install-srcs

# stupid config
perl -pi -e "s|/usr/local|%{_prefix}|g" config.mk
perl -pi -e "s|^LIBSUBDIR=lib|LIBSUBDIR=%{_lib}|g" config.mk

%make verbose=true target=libs
%make verbose=true target=examples
%make verbose=true target=docs

%install
make DIST_DIR=%{buildroot}%{_prefix} install

install -m0755 examples/simple_decoder %{buildroot}%{_bindir}/vp9_simple_decoder
install -m0755 examples/simple_encoder %{buildroot}%{_bindir}/vp9_simple_encoder
install -m0755 examples/twopass_encoder %{buildroot}%{_bindir}/vp9_twopass_encoder


%changelog

* Fri Jan 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.1-1
- (8b38974) New version 1.6.1
- (8b38974) Enable experimental mode and spatial-svc


